<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
	$document 						= JFactory::getDocument();
	$document->addStyleSheet(JURI::base() . 'modules/mod_ext_waterwheel_carousel/assets/css/default.css');
	
	$ext_jquery_ver					= $params->get('ext_jquery_ver', '1.7.1');
	$ext_load_jquery				= (int)$params->get('ext_load_jquery', 1);
	$ext_load_easing				= (int)$params->get('ext_load_easing', 1);
	$ext_load_scripts				= (int)$params->get('ext_load_scripts', 1);
	$ext_load_carousel				= (int)$params->get('ext_load_carousel', 1);
	$ext_easing						= $params->get('ext_easing', 'linear');
	
	//
	if ($ext_load_scripts == 0) {
		if ($ext_load_jquery  > 0) {
			$document->addScript('http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js');
		}		
		if ($ext_load_easing  > 0) {
			$document->addScript(JURI::base() . 'modules/mod_ext_waterwheel_carousel/assets/js/jquery.easing.1.3.js');
		}
		if ($ext_load_carousel  > 0) {
			$document->addScript(JURI::base() . 'modules/mod_ext_waterwheel_carousel/assets/js/jquery.waterwheelCarousel.min.js');
		}
		$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');
	}
	
	if ($ext_load_scripts == 1) {
		if ($ext_load_jquery  > 0) {
			$document->addCustomTag('<script type = "text/javascript" src = "http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js"></script>');		
			}
		if ($ext_load_easing  > 0) {
			$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_waterwheel_carousel/assets/js/jquery.easing.1.3.js"></script>');		
		}
		if ($ext_load_carousel  > 0) {
			$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_waterwheel_carousel/assets/js/jquery.waterwheelCarousel.min.js"></script>');		
		}
		$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	
	}
	//baza
	$moduleclass_sfx				= $params->get('moduleclass_sfx');
	$ext_id							= $params->get('ext_id', 'id');
	$ext_width_block				= (int)$params->get('ext_width_block', 800);		
	$ext_height_block				= (int)$params->get('ext_height_block', 300);
	$ext_width						= (int)$params->get('ext_width', 250);
	$ext_height						= (int)$params->get('ext_height', 130);
	// number tweeks to change apperance
	$ext_starting_item				= (int)$params->get('ext_starting_item', 0);
	$ext_separation					= (int)$params->get('ext_separation', 150);
	$ext_separation_multiplier		= $params->get('ext_separation_multiplier', '0.6');
	$ext_horizon_offset				= $params->get('ext_horizon_offset', '0');
	$ext_horizon_offset_multiplier	= $params->get('ext_horizon_offset_multiplier', '0.7');
	$ext_size_multiplier			= $params->get('ext_size_multiplier', '0.7');
	$ext_opacity_multiplier			= $params->get('ext_opacity_multiplier', '0.8');
	$ext_horizon					= $params->get('ext_horizon', '0');
	$ext_flanking_items				= (int)$params->get('ext_flanking_items', 3);
	// animation
	$ext_speed						= (int)$params->get('ext_speed', 300);
	$ext_quicker_for_further		= $params->get('ext_quicker_for_further', 'true');
	$ext_edge_fade_enabled			= $params->get('ext_edge_fade_enabled', 'false');
	// misc	
	$ext_auto_play					= $params->get('ext_auto_play', '0');
	$ext_orientation				= $params->get('ext_orientation', 'horizontal');
	

$names = array('img', 'alt', 'url', 'target');
$max = 10;
foreach($names as $name) {
    ${$name} = array();
    for($i = 1; $i <= $max; ++$i)
        ${$name}[] = $params->get($name . $i);
}	
require JModuleHelper::getLayoutPath('mod_ext_waterwheel_carousel', $params->get('layout', 'default'));
	
?>